//
// StringMem.h
// Qdos 2 
// 
// Janet Barnes
// March 2001
//

#ifndef QDOS_STRINGMEM_H
#define QDOS_STRINGMEM_H

#include <stdlib.h>
#include <string.h>

namespace QDOS {

class StringMem
{
    public:

      static char *strdup(char const *str);   
      static int ncmp(char const *s1, char const *s2, unsigned len);
      static char *strndup(char const *str, unsigned len);
      static void *realloc(void *old,
        unsigned data_sz, unsigned old_num,unsigned new_num);

};
} // end namespace QDOS

#endif  








